<?php

namespace Drupal\tfa\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a TFA Validation annotation object.
 *
 * @Annotation
 */
class TfaValidation extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The human-readable name of the Tfa validation.
   *
   * @ingroup plugin_translatable
   *
   * @var \Drupal\Core\Annotation\Translation
   */
  public $title;

  /**
   * The description shown to users.
   *
   * @ingroup plugin_translatable
   *
   * @var \Drupal\Core\Annotation\Translation
   */
  public $description;

  /**
   * Fallback Plugins this validation method support.
   *
   * @var string[]
   */
  public $fallbacks;

  /**
   * Whether the plugin is a fallback or not.
   *
   * @var bool
   */
  public $isFallback;

}
